# $Revision: 1.7 $, $Date: 2005/12/31 10:36:33 $
%define tarname iowa
Summary:	Interpreted Objects for Web Applications
Summary(pl):	IOWA - interpretowane obiekty dla aplikacji WWW
Name:		ruby-Iowa
Version:	0.9.2
Release:	2
License:	Ruby-alike
Group:		Development/Languages
Source0:	http://rubyforge.org/frs/download.php/1853/%{tarname}_%{version}.tar.bz
# Source0-md5:	cb27f0baa555c9e4f55ebb4a4a593c0a
URL:		http://enigo.com/projects/iowa/
BuildRequires:	rpmbuild(macros) >= 1.277
BuildRequires:	ruby-modules
%{?ruby_mod_ver_requires_eq}
Requires:	ruby-LOG4R
Requires:	ruby-TMail
#BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Iowa is a framework, written in the Ruby programming language, for the
development of both web based applications and more general dynamic
web content.

%description -l pl
Iowa (Interpreted Objects for Web Applications - interpretowane
obiekty dla aplikacji WWW) to napisany w jzyku programowania Ruby
szkielet do tworzenia zarwno aplikacji opartych na WWW, jak i
bardziej oglnej dynamicznej treci WWW.

%prep
%setup -q -n %{tarname}_%{version}

%build
rdoc --ri --op ri src/ iowa.rb
rm ri/ri/{Object,Array,Hash}/cdesc*
rdoc --op rdoc src/ iowa.rb

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_rubylibdir}/{iowa,apache},%{ruby_ridir},%{_examplesdir}/%{name}-%{version}}
cp -a src/* $RPM_BUILD_ROOT%{ruby_rubylibdir}/iowa
cp -a iowa*.rb $RPM_BUILD_ROOT%{ruby_rubylibdir}
cp -a mod_iowa.rb $RPM_BUILD_ROOT%{ruby_rubylibdir}/apache
cp -a ri/ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a examples utils $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README rdoc
%{ruby_rubylibdir}/*iowa*
%{ruby_rubylibdir}/apache/*
%{ruby_ridir}/Iowa
%{ruby_ridir}/Crypt
%{ruby_ridir}/Array/*
%{ruby_ridir}/Hash/*
%{ruby_ridir}/Object/*
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ruby-Iowa.spec,v $
Revision 1.7  2005/12/31 10:36:33  twittner
- change %%ruby_mod_ver_requires_eq to %%{?ruby_mod_ver_requires_eq} -
  expand this macro only if defined to avoid parse error when appropriate
  BRs is not installed yet (solution provided by glen)

Revision 1.6  2005/12/29 16:59:48  twittner
- replace R: ruby-modules with %%ruby_mod_ver_requires_eq macro
  defined as `Requires: ruby-modules(ver) = 1.8' where `1.8' is
  major ruby version taken from rbconfig
- add BR: rpmbuild(macros) >= 1.277 with aforementioned macros

Revision 1.5  2005/12/27 09:38:07  twittner
- (B)R: s/ruby/ruby-modules/, rel. 2 (mass commit through script)

Revision 1.4  2005/11/19 13:32:04  glen
- use system ruby macros
- cleanups, corrections, cosmetics

Revision 1.3  2004/12/29 22:14:32  aredridel
- up to 0.9.2

Revision 1.2  2004/09/06 21:13:17  qboosh
- pl, versioned examplesdir

Revision 1.1  2004/09/06 08:33:56  aredridel
- added
